#  This file is part of Pynguin.
#
#  SPDX-FileCopyrightText: 2019–2021 Pynguin Contributors
#
#  SPDX-License-Identifier: LGPL-3.0-or-later
#
from pynguin.generation.export.pytestexporter import PyTestExporter


def test_export_sequence(exportable_test_case, tmp_path):
    path = tmp_path / "generated.py"
    exporter = PyTestExporter()
    exporter.export_sequences(str(path), [exportable_test_case, exportable_test_case])
    assert (
        path.read_text()
        == """# Automatically generated by Pynguin.
import pytest
import tests.fixtures.accessibles.accessible as module0


def test_case_0():
    var0 = 5
    var1 = module0.SomeType(var0)
    assert var1 == 5
    var2 = 42.23
    var3 = module0.simple_function(var2)
    assert var3 == pytest.approx(42.23, abs=0.01, rel=0.01)


def test_case_1():
    var0 = 5
    var1 = module0.SomeType(var0)
    assert var1 == 5
    var2 = 42.23
    var3 = module0.simple_function(var2)
    assert var3 == pytest.approx(42.23, abs=0.01, rel=0.01)
"""
    )
